Send message to worker processes by ID.

- « Swoole\Server::sendfile

- Swoole\Server::sendto »

- PHP Manual
- Swoole\Server
- Send message to worker processes by ID.

# Swoole\Server::sendMessage

(PECL swoole >= 1.9.0)

Swoole\Server::sendMessage — Send message to worker processes by ID.

### Description

public Swoole\Server::sendMessage(int `$worker_id`, string `$data`): bool

### Parameters

`dst_worker_id`

`data`

### Return Values